Subject: Coming back to the IANA rules update for routing headers

From: Jari Arkko <[email-masked]>
Date: Tue, 09 Jun 2009 21:54:21 +0300

I spoke about this a little bit in the meeting and got a few comments. 
But as far as I can tell, I never got any responses to my question in 
March on the mailing list. Perhaps this is a proper time to ask again... 
this is really a minor thing, but I would like to fix a bug in the IANA 
registries when I see one. Comments and suggestions would be appreciated.

Jari Arkko wrote:
> In the context of reviewing existing IANA registries for various 
> protocols, we came up with a couple of missing things. The first issue 
> is that http://www.iana.org/assignments/ipv6-parameters does not point 
> to RFC 2780 which defines the IANA rules for hop-by-hop and 
> destination options. This is being fixed by IANA.
>
> The other thing that we noticed was that routing header types do not 
> appear to have IANA rules. While this is a really small issue, I like 
> to fix a bug when I see one :-) So, Scott and I wrote a draft that 
> defines the rules:
>
> http://tools.ietf.org/html/draft-arkko-ipv6-iana-routing-header
>
> The new rule requires IETF review before allocation of a new RH type. 
> We have a couple of questions:
>
> 1) Does anyone know of an RFC where this would have been specified? 
> Its easy to miss one...
>
> 2) Are people happy with the rule in the draft?
>
> 3) Is the working group interested in adopting this document and 
> moving it forward?
>
> Jari
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>
>

---

From: Brian Haberman <[email-masked]>
Date: Wed, 10 Jun 2009 08:44:16 -0400

Jari,
      As an individual contributor, I am happy with the rules specified 
in this draft and support adoption by the working group.  I was also 
unable to find any other RFC or draft that specified the IANA rules for 
the routing header Type field.

Regards,
Brian